petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGlobalToLocalBeginDefaultShell

Uses the GlobalToLocal VecScatter context set by the user to begin a global to local scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMGlobalToLocalBeginDefaultShell(DM dm,Vec g,InsertMode mode,Vec l)

### Input Arguments

| dm | - shell DM
| g | - global vector
| mode | - InsertMode
| l | - local vector

Note: This is not normally called directly by user code, generally user code calls DMGlobalToLocalBegin() and DMGlobalToLocalEnd(). If the user provides their own custom routines to DMShellSetLocalToGlobal() then those routines might have reason to call this function.

### See Also

DMGlobalToLocalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages